Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 10774)
@@ -1092,14 +1092,15 @@
        sn_cfctl%procincr  = 1       ! Increment for optional subsetting of areas [default:1]
        sn_cfctl%ptimincr  = 1      ! Timestep increment for writing time step progress info/solver.stat file
-   nn_print    =    0      !  level of print (0 no extra print)
-   nn_ictls    =    0      !  start i indice of control sum (use to compare mono versus
-   nn_ictle    =    0      !  end   i indice of control sum        multi processor runs
-   nn_jctls    =    0      !  start j indice of control               over a subdomain)
-   nn_jctle    =    0      !  end   j indice of control
-   nn_isplt    =    1      !  number of processors in i-direction
-   nn_jsplt    =    1      !  number of processors in j-direction
-   nn_bench    =    0      !  Bench mode (1/0): CAUTION use zero except for bench
-                           !     (no physical validity of the results)
-   nn_timing   =    0      !  timing by routine activated (=1) creates timing.output file, or not (=0)
+   nn_print    =    0       !  level of print (0 no extra print)
+   ln_flush    =    .FALSE. !  flust numout after each print
+   nn_ictls    =    0       !  start i indice of control sum (use to compare mono versus
+   nn_ictle    =    0       !  end   i indice of control sum        multi processor runs
+   nn_jctls    =    0       !  start j indice of control               over a subdomain)
+   nn_jctle    =    0       !  end   j indice of control
+   nn_isplt    =    1       !  number of processors in i-direction
+   nn_jsplt    =    1       !  number of processors in j-direction
+   nn_bench    =    0       !  Bench mode (1/0): CAUTION use zero except for bench
+                            !     (no physical validity of the results)
+   nn_timing   =    0       !  timing by routine activated (=1) creates timing.output file, or not (=0)
 /
 !-----------------------------------------------------------------------
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asmbgc.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asmbgc.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asmbgc.F90	(revision 10774)
@@ -767,4 +767,6 @@
             &                    TRIM( c_asmbal ) // ' at timestep = ', kt
       ENDIF
+
+      IF(lwp .AND. lflush) CALL flush(numout)
                                  
    END SUBROUTINE asm_bgc_bal_wri
@@ -1140,4 +1142,5 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
    END SUBROUTINE phyto2d_asm_inc
 
@@ -1327,4 +1330,5 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
    END SUBROUTINE phyto3d_asm_inc
 
@@ -1598,4 +1602,5 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
    END SUBROUTINE pco2_asm_inc
 
@@ -1821,4 +1826,6 @@
 #endif      
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+
    END SUBROUTINE ph_asm_inc
 
@@ -2186,4 +2193,5 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
    END SUBROUTINE bgc3d_asm_inc
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asmbkg.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asmbkg.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asmbkg.F90	(revision 10774)
@@ -183,4 +183,5 @@
       ENDIF
       !                    
+      IF(lwp .AND. lflush) CALL flush(numout)
    END SUBROUTINE asm_bkg_wri
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 10774)
@@ -207,4 +207,5 @@
          WRITE(numout,*) '      Choice of MLD for BGC assimilation                  mld_choice_bgc = ', mld_choice_bgc
          WRITE(numout,*) '      Maximum absolute chlorophyll increment (<=0 = off)    rn_maxchlinc = ', rn_maxchlinc
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -242,4 +243,5 @@
          WRITE(numout,*) '       iitiaustr_date = ', iitiaustr_date
          WRITE(numout,*) '       iitiaufin_date = ', iitiaufin_date
+         IF(lflush) CALL flush(numout)
       ENDIF
       
@@ -369,4 +371,5 @@
              WRITE(numout,*) '         Time-integrated weight = ', ztotwgt
              WRITE(numout,*) '         ==================================='
+             IF(lflush) CALL flush(numout)
           ENDIF
          
@@ -590,4 +593,6 @@
       ENDIF
       !
+      IF(lflush) CALL flush(numout)
+
    END SUBROUTINE asm_inc_init
 
@@ -735,4 +740,5 @@
                WRITE(numout,*) 'tra_asm_inc : Tracer IAU at time step = ', kt,' with IAU weight = ', wgtiau(it)
                WRITE(numout,*) '~~~~~~~~~~~~'
+               IF(lflush) CALL flush(numout)
             ENDIF
 
@@ -864,4 +870,5 @@
                   &  kt,' with IAU weight = ', wgtiau(it)
                WRITE(numout,*) '~~~~~~~~~~~~'
+               IF(lflush) CALL flush(numout)
             ENDIF
 
@@ -940,4 +947,5 @@
                   &  kt,' with IAU weight = ', wgtiau(it)
                WRITE(numout,*) '~~~~~~~~~~~~'
+               IF(lflush) CALL flush(numout)
             ENDIF
 
@@ -1030,4 +1038,5 @@
                   &  kt,' with IAU weight = ', wgtiau(it)
                WRITE(numout,*) '~~~~~~~~~~~~'
+               IF(lflush) CALL flush(numout)
             ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/bias.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/bias.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/bias.F90	(revision 10774)
@@ -320,4 +320,5 @@
          
          WRITE(numout,*) '     time step is    = ',rdt,'you choose to write pcbias at nn_bias_itwrt  = ',nn_bias_itwrt,'and end of iau is rday/rdt=',rday/rdt 
+         IF(lflush) call flush(numout)
       ENDIF
       IF( .NOT. ln_bias ) RETURN
@@ -561,5 +562,6 @@
          ENDWHERE   
       ENDIF 
-
+      
+      IF(lwp .AND. lflush) call flush(numout)
 
    END SUBROUTINE bias_init
@@ -895,5 +897,5 @@
             ENDIF
       ENDIF
-
+      IF(lwp .AND. lflush) call flush(numout)
    END SUBROUTINE tra_bias
 
@@ -971,4 +973,6 @@
             &          rhd_pc, gru_pc , grv_pc  )
       ENDIF
+
+      IF(lwp .AND. lflush) call flush(numout)
 
    END SUBROUTINE dyn_bias
@@ -1005,4 +1009,6 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) call flush(numout)
+
    END SUBROUTINE bias_opn
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 10774)
@@ -894,4 +894,6 @@
       ENDDO ! ib_bdy 
 
+      IF(lwp .AND. lflush) CALL flush(numout)
+
       IF( nn_timing == 1 ) CALL timing_stop('bdy_dta_init')
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 10774)
@@ -110,7 +110,10 @@
       IF( nn_timing == 1 ) CALL timing_start('bdy_init')
 
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'bdy_init : initialization of open boundaries'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~'
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'bdy_init : initialization of open boundaries'
+         WRITE(numout,*) '~~~~~~~~'
+         IF(lflush) CALL flush(numout)
+      ENDIF
       !
 
@@ -1348,4 +1351,6 @@
       ENDIF
 
+      IF(lwp .AND. lflush) CALL flush(numout)
+
       CALL wrk_dealloc(jpi,jpj,zfmask) 
 
@@ -1722,4 +1727,6 @@
       IF ((itest==0).AND.(lwp)) WRITE(numout,*) 'NO open boundary corner found'
       !
+      IF(lwp. AND. lflush) CALL flush(numout)
+      !
       ! Other tests TBD: 
       ! segments completly on land
@@ -1757,4 +1764,5 @@
          IF(lwp) WRITE(numout,*) ' ==========  have different open bdy schemes'                                                  
          IF(lwp) WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
          nstop = nstop + 1
       ENDIF
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 10774)
@@ -99,4 +99,5 @@
          IF(lwp) WRITE(numout,*) 'bdytide_init : initialization of tidal harmonic forcing at open boundaries'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -120,16 +121,17 @@
             IF(lwm .AND. nprint > 2) WRITE ( numond, nambdy_tide )
             !                                               ! Parameter control and print
-            IF(lwp) WRITE(numout,*) '  '
-            IF(lwp) WRITE(numout,*) '          Namelist nambdy_tide : tidal harmonic forcing at open boundaries'
-            IF(lwp) WRITE(numout,*) '             read tidal data in 2d files: ', ln_bdytide_2ddta
-            IF(lwp) WRITE(numout,*) '             assume complex conjugate   : ', ln_bdytide_conj
-            IF(lwp) WRITE(numout,*) '             Number of tidal components to read: ', nb_harmo
-            IF(lwp) THEN 
-                    WRITE(numout,*) '             Tidal components: ' 
+            IF(lwp) THEN
+               WRITE(numout,*) '  '
+               WRITE(numout,*) '          Namelist nambdy_tide : tidal harmonic forcing at open boundaries'
+               WRITE(numout,*) '             read tidal data in 2d files: ', ln_bdytide_2ddta
+               WRITE(numout,*) '             assume complex conjugate   : ', ln_bdytide_conj
+               WRITE(numout,*) '             Number of tidal components to read: ', nb_harmo
+               WRITE(numout,*) '             Tidal components: ' 
                DO itide = 1, nb_harmo
                   WRITE(numout,*)  '                 ', Wave(ntide(itide))%cname_tide 
                END DO
-            ENDIF 
-            IF(lwp) WRITE(numout,*) ' '
+               WRITE(numout,*) ' '
+               IF(lflush) CALL flush(numout)
+            ENDIF
 
             ! Allocate space for tidal harmonics data - get size from OBC data arrays
@@ -333,4 +335,5 @@
            WRITE(numout,*) 'bdytide_update : (re)Initialization of the tidal bdy forcing at kt=',kt
            WRITE(numout,*) '~~~~~~~~~~~~~~ '
+           IF(lflush) CALL flush(numout)
         ENDIF
         !
@@ -448,4 +451,5 @@
                WRITE(numout,*) 'bdy_tide_dta : Refresh nodal factors for tidal open bdy data at kt=',kt
                WRITE(numout,*) '~~~~~~~~~~~~~~ '
+               IF(lflush) CALL flush(numout)
                ENDIF
                !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyvol.F90	(revision 10774)
@@ -87,4 +87,5 @@
          IF(lwp) WRITE(numout,*)'bdy_vol : Correction of velocities along unstructured OBC'
          IF(lwp) WRITE(numout,*)'~~~~~~~'
+         IF(lflush) CALL flush(numout)
       END IF 
 
@@ -164,4 +165,5 @@
          IF(lwp) WRITE(numout,*)'          correction velocity zubtpecor =', zubtpecor , '(m/s)'
          IF(lwp) WRITE(numout,*)'          cumulated transport ztranst   =', ztranst   , '(m3/s)'
+         IF(lflush) CALL flush(numout)
       END IF 
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90	(revision 10774)
@@ -100,4 +100,5 @@
          WRITE(numout,*) '      Damping file name               cn_resto  = ', cn_resto
          WRITE(numout,*)
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -128,4 +129,6 @@
          CALL iom_close( imask )
       ENDIF
+      !
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
    END SUBROUTINE dyn_dmp_init
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 10774)
@@ -185,5 +185,7 @@
      transports_3d(:,:,:,:)=0.0 
      transports_2d(:,:,:)  =0.0 
-
+     !
+     IF(lwp .AND. lflush) CALL flush(numout)
+     !
      IF( nn_timing == 1 )   CALL timing_stop('dia_dct_init')
      !
@@ -301,5 +303,7 @@
         CALL wrk_dealloc( nb_sec_max,nb_type_class,nb_class_max , zsum  )
      ENDIF    
-
+     !
+     IF(lwp .AND. lflush) CALL flush(numout)
+     !
      IF( nn_timing == 1 )   CALL timing_stop('dia_dct')
      !
@@ -503,5 +507,7 @@
  
      nb_sec = jsec-1   !number of section read in the file
-
+     !
+     IF(lwp .AND. lflush) CALL flush(numout)
+ 
      CALL wrk_dealloc( nb_point_max, directemp )
      !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90	(revision 10774)
@@ -160,4 +160,6 @@
       ALLOCATE( ana_temp(jpi,jpj,2*nb_ana,3) )
       ana_temp(:,:,:,:) = 0._wp
+ 
+      IF(lwp .AND. lflush) CALL flush(numout)
 
    END SUBROUTINE dia_harm_init
@@ -231,7 +233,10 @@
       CALL wrk_alloc( jpi , jpj , jpmax_harmo , 2 , ana_amp )
 
-      IF(lwp) WRITE(numout,*)
-      IF(lwp) WRITE(numout,*) 'anharmo_end: kt=nitend_han: Perform harmonic analysis'
-      IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
+      IF(lwp) THEN
+        WRITE(numout,*)
+        WRITE(numout,*) 'anharmo_end: kt=nitend_han: Perform harmonic analysis'
+        WRITE(numout,*) '~~~~~~~~~~~~'
+        IF(lflush) CALL flush(numout)
+      ENDIF
 
       ztime_ini = nit000_han*rdt                 ! Initial time in seconds at the beginning of analysis
@@ -400,4 +405,5 @@
 #endif
       IF(lwp) WRITE(numout,*) '  '
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       ! A) Elevation
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diahth.F90	(revision 10774)
@@ -131,4 +131,5 @@
          IF(lwp) WRITE(numout,*) '~~~~~~~ '
          IF(lwp) WRITE(numout,*)
+         IF(lwp .AND. lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 10774)
@@ -478,4 +478,5 @@
          WRITE(numout,*) '      Poleward heat & salt transport (T) or not (F)      ln_diaptr  = ', ln_diaptr
          WRITE(numout,*) '      Global (F) or glo/Atl/Pac/Ind/Indo-Pac basins      ln_subbas  = ', ln_subbas
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 10774)
@@ -462,5 +462,4 @@
       INTEGER, INTENT( in ) ::   kt      ! ocean time-step index
       !!
-      LOGICAL ::   ll_print = .FALSE.                        ! =T print and flush numout
       CHARACTER (len=40) ::   clhstnam, clop, clmx           ! local names
       INTEGER  ::   inum = 11                                ! temporary logical unit
@@ -489,8 +488,4 @@
       ! -----------------
 
-      ! local variable for debugging
-      ll_print = .FALSE.
-      ll_print = ll_print .AND. lwp
-
       ! Define frequency of output and means
       zdt = rdt
@@ -532,5 +527,5 @@
          IF(lwp)WRITE(numout,*) ' indexes of zoom = ', iimi, iima, ijmi, ijma,   &
                                  ' limit storage in depth = ', ipk
-
+       
          ! WRITE root name in date.file for use by postpro
          IF(lwp) THEN
@@ -808,5 +803,5 @@
          IF(lwp) WRITE(numout,*)
          IF(lwp) WRITE(numout,*) 'End of NetCDF Initialization'
-         IF(ll_print) CALL FLUSH(numout )
+         IF(lwp .AND. lflush) CALL flush(numout)
 
       ENDIF
@@ -987,4 +982,6 @@
       !
       IF( nn_timing == 1 )   CALL timing_stop('dia_wri')
+      !
+      IF(lwp .AND. lflush) CALL flush(numout)
       !
    END SUBROUTINE dia_wri
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/closea.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/closea.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/closea.F90	(revision 10774)
@@ -78,4 +78,5 @@
       IF(lwp) WRITE(numout,*)'dom_clo : closed seas '
       IF(lwp) WRITE(numout,*)'~~~~~~~'
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       ! initial values
@@ -403,4 +404,6 @@
       CALL lbc_lnk( emp , 'T', 1._wp )
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
       IF( nn_timing == 1 )  CALL timing_stop('sbc_clo')
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/daymod.F90	(revision 10774)
@@ -130,4 +130,5 @@
       IF(lwp) WRITE(numout,'(a,i6,a,i2,a,i2,a,i8,a,i8)')' =======>> 1/2 time step before the start of the run DATE Y/M/D = ',   &
            &                   nyear, '/', nmonth, '/', nday, '  nsec_day:', nsec_day, '  nsec_week:', nsec_week
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       ! Up to now, calendar parameters are related to the end of previous run (nit000-1)
@@ -253,8 +254,11 @@
          CALL ymds2ju( nyear, 01, 01, 0.0, fjulstartyear )
          !
-         IF(lwp .AND. nprint > 0) WRITE(numout,'(a,i8,a,i4.4,a,i2.2,a,i2.2,a,i3.3)') '======>> time-step =', kt,   &
+         IF(lwp .AND. nprint > 0) THEN
+             WRITE(numout,'(a,i8,a,i4.4,a,i2.2,a,i2.2,a,i3.3)') '======>> time-step =', kt,   &
               &   '      New day, DATE Y/M/D = ', nyear, '/', nmonth, '/', nday, '      nday_year = ', nday_year
-         IF(lwp .AND. nprint > 0) WRITE(numout,'(a,i8,a,i7,a,i5)') '         nsec_year = ', nsec_year,   &
+             WRITE(numout,'(a,i8,a,i7,a,i5)') '         nsec_year = ', nsec_year,   &
               &   '   nsec_month = ', nsec_month, '   nsec_day = ', nsec_day, '   nsec_week = ', nsec_week
+             IF(lflush) CALL flush(numout)
+         ENDIF
       ENDIF
 
@@ -321,5 +325,6 @@
                CASE ( 2 )   ;   WRITE(numout,*) ' nrstdt = 2 : calendar parameters read in restart'
                END SELECT
-               WRITE(numout,*)
+               WRITE(numout,*) ' '
+               IF(lflush) CALL flush(numout)
             ENDIF
             ! Control of date
@@ -353,4 +358,5 @@
             WRITE(numout,*) '   number of elapsed days since the begining of run : ', adatrj
             WRITE(numout,*)
+            IF(lflush) CALL flush(numout)
          ENDIF
          !
@@ -361,4 +367,5 @@
             WRITE(numout,*) 'rst_write : write oce restart file  kt =', kt
             WRITE(numout,*) '~~~~~~~'
+            IF(lflush) CALL flush(numout)
          ENDIF
          ! calendar control
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 10774)
@@ -79,4 +79,5 @@
          WRITE(numout,*) 'dom_init : domain initialization'
          WRITE(numout,*) '~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -193,4 +194,5 @@
          WRITE(numout,*) '      overwrite an existing file      ln_clobber = ', ln_clobber
          WRITE(numout,*) '      NetCDF chunksize (bytes)        nn_chunksz = ', nn_chunksz
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -293,4 +295,5 @@
          WRITE(numout,*) '                                      ppkth2            = ', ppkth2
          WRITE(numout,*) '                                      ppacr2            = ', ppacr2
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -319,4 +322,5 @@
          WRITE(numout,*) '   Namelist namcla'
          WRITE(numout,*) '      cross land advection                 nn_cla    = ', nn_cla
+         IF(lflush) CALL flush(numout)
       ENDIF
       IF ( nn_cla .EQ. 1 ) THEN
@@ -346,4 +350,5 @@
          WRITE(numout,*) '      number of chunks in k-dimension      nn_nchunks_k   = ', nn_nchunks_k
          WRITE(numout,*) '      apply netcdf4/hdf5 chunking & compression ln_nc4zip = ', ln_nc4zip
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -406,4 +411,5 @@
          WRITE(numout,"(14x,'e2t maxi: ',1f10.2,' at i = ',i5,' j= ',i5)") ze2max, iima2, ijma2
          WRITE(numout,"(14x,'e2t mini: ',1f10.2,' at i = ',i5,' j= ',i5)") ze2min, iimi2, ijmi2
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -467,4 +473,5 @@
          WRITE(numout,*) 'dom_stiff : maximum grid stiffness ratio: ', zrxmax
          WRITE(numout,*) '~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domcfg.F90	(revision 10774)
@@ -56,4 +56,5 @@
          IF( jperio == 5 )   WRITE(numout,*) '      jperio= 5, north fold with F-point pivot'
          IF( jperio == 6 )   WRITE(numout,*) '      jperio= 6, cyclic east-west and north fold with F-point pivot'
+         IF(lflush) CALL flush(numout)
       ENDIF
       !
@@ -136,4 +137,5 @@
          WRITE(numout,*) '             ending index'
          WRITE(numout,25)              (mj1(jj),jj = 1,jpjdta)
+         IF(lflush) CALL flush(numout)
       ENDIF
  25   FORMAT( 100(10x,19i4,/) )
@@ -195,4 +197,6 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
    END SUBROUTINE dom_glo
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domhgr.F90	(revision 10774)
@@ -600,4 +600,6 @@
       ENDIF
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
       IF( nn_timing == 1 )  CALL timing_stop('dom_hgr')
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 10774)
@@ -562,4 +562,6 @@
       CALL wrk_dealloc( jpi, jpj, zwf  )
       !
+      IF(lwp .AND. lflush) CALL flush(numout)
+      !
       IF( nn_timing == 1 )  CALL timing_stop('dom_msk')
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domstp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domstp.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domstp.F90	(revision 10774)
@@ -105,4 +105,6 @@
 
       END SELECT
+      
+      IF(lwp .AND. lflush) CALL flush(numout)
 
    END SUBROUTINE dom_stp
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 10774)
@@ -133,4 +133,5 @@
       IF(lwp) WRITE(numout,*) 'dom_vvl_init : Variable volume activated'
       IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~'
+      IF(lwp .AND. lflush) CALL flush(numout)
 
       ! choose vertical coordinate (z_star, z_tilde or layer)
@@ -292,4 +293,5 @@
          IF(lwp) WRITE(numout,*) 'dom_vvl_sf_nxt : compute after scale factors'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -525,4 +527,5 @@
          IF( lk_mpp ) CALL mpp_max( z_tmax )                                ! max over the global domain
          IF( lwp    ) WRITE(numout, *) kt,' MAXVAL(abs(ssha))) =', z_tmax
+         IF(lflush) CALL flush(numout)
       END IF
 
@@ -593,4 +596,5 @@
          IF(lwp) WRITE(numout,*) 'dom_vvl_sf_swp : - time filter and swap of scale factors'
          IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~~   - interpolate scale factors and compute depths for next time step'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
@@ -866,4 +870,6 @@
                neuler = 0
             ENDIF
+            !
+            IF(lwp .AND. lflush) CALL flush(numout)
             !                             ! ----------- !
             IF( ln_vvl_zstar ) THEN       ! z_star case !
@@ -1008,4 +1014,5 @@
          ! IF(       ln_vvl_kepe ) WRITE(numout,*) '              kinetic to potential energy transfer : option used'
          ! IF( .NOT. ln_vvl_kepe ) WRITE(numout,*) '              kinetic to potential energy transfer : option not used'
+         IF(lflush) CALL flush(numout)
       ENDIF
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 10770)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domwri.F90	(revision 10774)
@@ -90,4 +90,5 @@
       IF(lwp) WRITE(numout,*) 'dom_wri : create NetCDF mesh and mask information file(s)'
       IF(lwp) WRITE(numout,*) '~~~~~~~'
+      IF(lwp .AND. lflush) CALL flush(numout)
       
       clnam0 = 'mesh_mask'  ! filename (mesh and mask informations)
